<bugID>1014563<Summary>[UX] Review master script to co-ordinate and run the pulls.</Summary><Description>We should have a single script that does all the work, so that we can more easily cron it.</Description></bugID>